<?php
/**
 * @package XCube
 * @version $Id: XCube_ModuleController.class.php,v 1.1.2.8 2006/08/10 09:41:23 minahito Exp $
 */

/**
 * @deprecated
 */
class XCube_ModuleController
{
	var $mController;
	var $mConfig;
	
	function XCube_ModuleController(&$controller)
	{
		$this->mController=&$controller;
	}

	/**
	 * Set up this class.
	 */
	function prepare()
	{
	}

	/**
	 * If this request is calling module, return true.
	 * @return boolean
	 */
	function isModuleProcess()
	{
		return false;
	}
	
	/**
	 * If module requested is available, return true.
	 * @return boolean
	 */
	function isActive()
	{
		return false;
	}
	
	/**
	 * If the current user can access to this module, return true.
	 * @todo This method re-writes $GLOBAL['xoopsUserIsAdmin']! Wmm...
	 * @return bool
	 */
	function hasPermission()
	{
		return false;
	}

	/**
	 * @return void
	 */
	function setupLanguage()
	{
	}


	function getConfig($key=null)
	{
		if($key!=null)
			return isset($this->mConfig[$key]) ? $this->mConfig[$key] : null;
		else
			return $this->mConfig;
	}
	

	/**
	 * Return abs path.
	 * @return string
	 */
	function getModuleDir()
	{
	}
	
	/**
	 * Return a name that this depends on render system.
	 * @return string
	 */
	function getDependRenderSystem()
	{
	}
}

?>